Disconnects a client
curl --request POST \
--url https://vouchers.api.jtl-software.com/v1/clients/disconnect \
--header 'Authorization: Bearer <token>'import requests
url = "https://vouchers.api.jtl-software.com/v1/clients/disconnect"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vouchers.api.jtl-software.com/v1/clients/disconnect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"No Content"{
"status": 404,
"code": "VOUCHER.NOT_FOUND",
"message": "The requested Voucher was not found."
}Clients
Disconnects a client
Disconnects the client from the voucher cloud and resets all credentials
POST
/
clients
/
disconnect
Disconnects a client
Authorizations
This API uses OAuth 2 with Client Credentials Flow (see: https://www.oauth.com/oauth2-servers/access-tokens/client-credentials).
You can request only a subset of specific scopes for your client, however the available scopes for each client are defined through the client groups in the UI.
Within your token request, you can also send the optional parameter client_type (string with a max length of 32 chars). This value is only used for internal statistics.
Response
The server successfully processed the request and is not returning any content.
The response is of type string.
Example:
"No Content"
Was this page helpful?